//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 3 lights, 9 textures and 72 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.01 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 10/27/2001    (27.10.2001)
//



/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.271,0.271,0.271> }

camera {  //  Camera StdCam1
  location  <-10.306, -35.705, 3.738>
  direction <0.0,     0.0,  1.8317>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <12.060, 4.057, 2.031>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <-12.029, -22.097, -7.246> // Attached to SpotLite001
  direction <0.0,     0.0,  0.3526>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <8.258, -4.941, -4.615> // Following SpotLite001
}

*/

//
// *******  L I G H T S *******
//

light_source {   // Spotlight SpotLite001
  <-12.029, -22.097, -7.246>
  color  rgb <1.000, 1.000, 0.886>
  spotlight
    point_at  <8.258, -4.941, -4.615>
    falloff   54.81  // outer radius (in deg)
      radius    54.81  // inner radius
  fade_distance  30.0
  fade_power 2.0
}

light_source {   // Light001
  <18.176, -11.245, 12.538>
  color rgb <0.250, 0.250, 0.250>
}

light_source {   // Light1
  <-8.983, -11.654, -6.469>
  color rgb <0.500, 0.500, 0.500>
}


//
// ********  TEXTURES  *******
//

#include "civies7.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

text {   // Text001
  ttf    "C:\WINDOWS\Fonts\Arial.ttf",
  "Now they're coming after our women and children...",
  1.0,  // Depth
  <0.0,   0.0, 0.0> // Offset
  texture {
    Glowredyellow
  }
  no_shadow
  scale <1.0, 1.3, 0.2>
  rotate <90.0, -0.0, -27.213385>
  translate  <-4.102138, -2.145189, 4.140561>
}



sphere { // Sphere001
  <0,0,0>,1
  texture {
    Blood_Sky
  }
  hollow
  scale 75.0
}




#include "D:\projects\irtc\Warfare\arm.inc"

#declare humorus_default_Ref = object {
  humorus_default
  no_shadow
  rotate <-4.920919, 34.36039, 0.94645>
  translate  <4.135579, 0.677435, -2.331385>
}
#declare ulna_default_Ref = object {
  ulna_default
}
#declare radius_default_Ref = object {
  radius_default
}
#declare mcarple2_default_Ref = object {
  mcarple2_default
}
#declare phalanx2_default_Ref = object {
  phalanx2_default
  rotate <-9.379485, -1.401671, -1.707252>
  translate  <-0.102325, 5.545693, -3.310432>
}
#declare phalx2m_default_Ref = object {
  phalx2m_default
  rotate <60.31456, 1.069669, 13.414005>
  translate  <6.428138, -41.301512, -4.501781>
}
#declare phalx2d_default_Ref = object {
  phalx2d_default
  rotate <111.380539, -8.344524, 20.01849>
  translate  <14.300972, -56.577914, -38.126706>
}
#declare phalx3d_default_Ref = object {
  phalx3d_default
  rotate <104.312653, -6.359333, 19.748142>
  translate  <13.901054, -56.632481, -32.658114>
}
#declare phalx3m_default_Ref = object {
  phalx3m_default
  rotate <75.736946, 0.263473, 3.390389>
  translate  <1.949069, -49.359752, -12.370174>
}
#declare phalx3p_default_Ref = object {
  phalx3p_default
  rotate <-6.910245, -1.005263, -1.279689>
  translate  <-0.168332, 4.19611, -2.034831>
}
#declare mcarple3_default_Ref = object {
  mcarple3_default
}
#declare phalx4d_default_Ref = object {
  phalx4d_default
  rotate <101.35096, -5.961061, 19.940369>
  translate  <13.415879, -55.731963, -30.949158>
}
#declare phalx4m_default_Ref = object {
  phalx4m_default
  rotate <72.13372, -0.255454, 15.782085>
  translate  <8.539387, -47.573309, -11.101302>
}
#declare phalx4p_default_Ref = object {
  phalx4p_default
  rotate <-13.105313, -2.034538, -2.319988>
  translate  <-0.042235, 7.293171, -4.830917>
}
#declare mcarpal4_default_Ref = object {
  mcarpal4_default
}
#declare phalx5d_default_Ref = object {
  phalx5d_default
  rotate <60.370483, 1.063998, 13.425818>
  translate  <6.610515, -41.345058, -5.259935>
}
#declare phalx5m_default_Ref = object {
  phalx5m_default
  rotate <19.932016, 1.9447, 4.220767>
  translate  <1.274344, -14.609877, 3.526656>
}
#declare phalx5p_default_Ref = object {
  phalx5p_default
  rotate <-14.204318, -2.228865, -2.492938>
  translate  <0.00841, 7.614902, -4.954416>
}
#declare mcarpal5_default_Ref = object {
  mcarpal5_default
}
#declare metacpl1_default_Ref = object {
  metacpl1_default
  scale 1.05
  rotate <42.336311, 2.13185, 32.248928>
  translate  <6.139144, -25.206647, 5.389313>
}
#declare phalng1p_default_Ref = object {
  phalng1p_default
  rotate <34.196224, 27.720028, 9.288842>
  translate  <16.027665, -15.926047, 4.322592>
}
#declare phalng1d_default_Ref = object {
  phalng1d_default
  rotate <-2.54385, 18.060223, 0.8648>
  translate  <7.77395, 5.284985, 2.132679>
}
#declare trapzoid_default_Ref = object {
  trapzoid_default
}
#declare trapzium_default_Ref = object {
  trapzium_default
}
#declare capitate_default_Ref = object {
  capitate_default
}
#declare pisiform_default_Ref = object {
  pisiform_default
}
#declare scaphoid_default_Ref = object {
  scaphoid_default
}
#declare hamate_default_Ref = object {
  hamate_default
}
#declare lunate_default_Ref = object {
  lunate_default
}
#declare triautrm_default_Ref = object {
  triautrm_default
}
#declare bonearm_group = union {
  object { humorus_default_Ref }
  object { ulna_default_Ref }
  object { radius_default_Ref }
  object { mcarple2_default_Ref }
  object { phalanx2_default_Ref }
  object { phalx2m_default_Ref }
  object { phalx2d_default_Ref }
  object { phalx3d_default_Ref }
  object { phalx3m_default_Ref }
  object { phalx3p_default_Ref }
  object { mcarple3_default_Ref }
  object { phalx4d_default_Ref }
  object { phalx4m_default_Ref }
  object { phalx4p_default_Ref }
  object { mcarpal4_default_Ref }
  object { phalx5d_default_Ref }
  object { phalx5m_default_Ref }
  object { phalx5p_default_Ref }
  object { mcarpal5_default_Ref }
  object { metacpl1_default_Ref }
  object { phalng1p_default_Ref }
  object { phalng1d_default_Ref }
  object { trapzoid_default_Ref }
  object { trapzium_default_Ref }
  object { capitate_default_Ref }
  object { pisiform_default_Ref }
  object { scaphoid_default_Ref }
  object { hamate_default_Ref }
  object { lunate_default_Ref }
  object { triautrm_default_Ref }
  texture {
    bone
  }
  no_shadow
  scale 0.4
  rotate <34.69593, -76.761192, 31.238651>
  translate  <-4.145666, -7.439146, 5.489234>
}
#include "D:\projects\irtc\Warfare\plane.inc"

#declare ICP8_ICP8_light_stro_Ref = object {
  ICP8_ICP8_light_stro
}
#declare ICP9_ICP9_light_stro_Ref = object {
  ICP9_ICP9_light_stro
}
#declare ICP10_ICP10_light_gra_Ref = object {
  ICP10_ICP10_light_gra
}
#declare ICP11_ICP11_light_gra_Ref = object {
  ICP11_ICP11_light_gra
}
#declare ICP12_ICP12_light_gra_Ref = object {
  ICP12_ICP12_light_gra
}
#declare ICP13_ICP13_light_gra_Ref = object {
  ICP13_ICP13_light_gra
}
#declare ICP14_ICP14_light_str_Ref = object {
  ICP14_ICP14_light_str
}
#declare ICP15_ICP15_very_dark_Ref = object {
  ICP15_ICP15_very_dark
}
#declare ICP16_ICP16_very_dark_Ref = object {
  ICP16_ICP16_very_dark
}
#declare ICP17_ICP17_very_dark_Ref = object {
  ICP17_ICP17_very_dark
}
#declare ICP18_ICP18_white_10_Ref = object {
  ICP18_ICP18_white_10
}
#declare ICP19_ICP19_light_str_Ref = object {
  ICP19_ICP19_light_str
}
#declare ICP19_ICP19_light_gra_Ref = object {
  ICP19_ICP19_light_gra
}
#declare ICP20_ICP20_light_str_Ref = object {
  ICP20_ICP20_light_str
}
#declare ICP20_ICP20_light_gra_Ref = object {
  ICP20_ICP20_light_gra
}
#declare ICP21_ICP21_light_str_Ref = object {
  ICP21_ICP21_light_str
}
#declare ICP21_ICP21_light_gra_Ref = object {
  ICP21_ICP21_light_gra
}
#declare ICP22_ICP22_light_gra_Ref = object {
  ICP22_ICP22_light_gra
}
#declare ICP22_ICP22_light_str_Ref = object {
  ICP22_ICP22_light_str
}
#declare ICP22_ICP22_gray_19_Ref = object {
  ICP22_ICP22_gray_19
}
#declare ICP22_ICP22_white_20_Ref = object {
  ICP22_ICP22_white_20
}
#declare ICP23_ICP23_light_str_Ref = object {
  ICP23_ICP23_light_str
}
#declare ICP24_ICP24_light_gra_Ref = object {
  ICP24_ICP24_light_gra
}
#declare ICP25_ICP25_light_str_Ref = object {
  ICP25_ICP25_light_str
}
#declare ICP26_ICP26_light_str_Ref = object {
  ICP26_ICP26_light_str
}
#declare ICP26_ICP26_light_gra_Ref = object {
  ICP26_ICP26_light_gra
}
#declare ICP27_ICP27_light_str_Ref = object {
  ICP27_ICP27_light_str
}
#declare bplane_group = union {
  object { ICP8_ICP8_light_stro_Ref }
  object { ICP9_ICP9_light_stro_Ref }
  object { ICP10_ICP10_light_gra_Ref }
  object { ICP11_ICP11_light_gra_Ref }
  object { ICP12_ICP12_light_gra_Ref }
  object { ICP13_ICP13_light_gra_Ref }
  object { ICP14_ICP14_light_str_Ref }
  object { ICP15_ICP15_very_dark_Ref }
  object { ICP16_ICP16_very_dark_Ref }
  object { ICP17_ICP17_very_dark_Ref }
  object { ICP18_ICP18_white_10_Ref }
  object { ICP19_ICP19_light_str_Ref }
  object { ICP19_ICP19_light_gra_Ref }
  object { ICP20_ICP20_light_str_Ref }
  object { ICP20_ICP20_light_gra_Ref }
  object { ICP21_ICP21_light_str_Ref }
  object { ICP21_ICP21_light_gra_Ref }
  object { ICP22_ICP22_light_gra_Ref }
  object { ICP22_ICP22_light_str_Ref }
  object { ICP22_ICP22_gray_19_Ref }
  object { ICP22_ICP22_white_20_Ref }
  object { ICP23_ICP23_light_str_Ref }
  object { ICP24_ICP24_light_gra_Ref }
  object { ICP25_ICP25_light_str_Ref }
  object { ICP26_ICP26_light_str_Ref }
  object { ICP26_ICP26_light_gra_Ref }
  object { ICP27_ICP27_light_str_Ref }
  no_shadow
  scale 0.013
  rotate <65.907906, 20.389034, -42.202499>
  translate  <4.66864, 1.970954, 1.810336>
  texture {
    picture_1
    // Transform to world space
    translate <0.000000, 3.715146, -0.526129>
    rotate z*-19.319555
    scale <1.0/1.500000, 1.0/1.500000, 1.0/1.500000>
  }
}
union { // Group001
  object { bonearm_group }
  object { bplane_group }
  scale 1.5
  rotate 19.319555*z
  translate  <0.0, -3.715146, 0.526129>
}




union { // towers
  superellipsoid { // SuperQ001
    <0.1, 0.1>
    scale <1.0, 1.0, 6.0>
  }
  superellipsoid { // SuperQ2
    <0.1, 0.1>
    scale <1.0, 1.0, 6.0>
    translate  <2.275947, 2.295876, 0.0>
  }
  texture {
    Aluminum
  }
  no_shadow
  translate  <1.952178, -0.340152, -9.920744>
}


union { // texts
  text {   // New_York
    ttf      "C:\WINDOWS\Fonts\Arial.ttf",
    "New York - 2001",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.0, 1.0, 0.0625>
    rotate 90.0*x
    translate  <13.650743, 4.507999, -3.050845>
  }

  text {   // My_Lai
    ttf      "C:\WINDOWS\Fonts\Arial.ttf",
    "My Lai - 1968",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.0, 1.0, 0.0625>
    rotate 90.0*x
    translate  <13.633367, 5.764682, -2.571062>
  }

  text {   // Hiroshima
    ttf      "C:\WINDOWS\Fonts\Arial.ttf",
    "Hiroshima - 1946",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.0, 1.0, 0.0625>
    rotate 90.0*x
    translate  <13.673335, 7.017233, -2.085902>
  }

  text {   // Dresden
    ttf      "C:\WINDOWS\Fonts\Arial.ttf",
    "Dresden - 1945",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.0, 1.0, 0.0625>
    rotate 90.0*x
    translate  <13.652939, 8.298115, -1.628387>
  }

  text {   // Nanking
    ttf      "C:\WINDOWS\Fonts\Arial.ttf",
    "Nanking - 1938",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.0, 1.0, 0.0625>
    rotate 90.0*x
    translate  <13.689598, 9.506997, -1.169199>
  }

  text {   // Gernica
    ttf      "C:\WINDOWS\Fonts\Arial.ttf",
    "Guernica - 1934",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.0, 1.0, 0.0625>
    rotate 90.0*x
    translate  <13.663244, 10.746097, -0.62966>
  }

  text {   // Atlanta
    ttf      "C:\WINDOWS\Fonts\Timesbd.ttf",
    "Atlanta - 1864",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.0, 1.0, 0.0625>
    rotate 90.0*x
    translate  <13.618754, 13.211087, 0.346255>
  }

  text {   // Wounded_Knee
    ttf      "C:\WINDOWS\Fonts\Timesbd.ttf",
    "Wounded Knee - 1890",
    1.0,  // Depth
    <0.0,     0.0, 0.0> // Offset
    scale <1.0, 1.0, 0.0625>
    rotate 90.0*x
    translate  <13.608854, 11.990889, -0.126878>
  }

  texture {
    Shiny_White
  }
  no_shadow
  scale <1.0, 7.0, 1.0>
  rotate <3.723116, -0.76583, -49.709927>
  translate  <-32.76465, -17.153654, -3.519203>
}




